# Uses of Class
net.postgis.jdbc.geometry.Geometry

Packages that use Geometry
Package
Description
net.postgis.jdbc.geometry
net.postgis.jdbc.geometry.binary

## Uses of Geometry in net.postgis.jdbc.geometry

Subclasses of Geometry in net.postgis.jdbc.geometry
Modifier and Type
Class
Description
`class`
`ComposedGeom`
ComposedGeom - Abstract base class for all Geometries that are composed out of other Geometries.
`class`
`GeometryCollection`
Geometry Collection class WARNING: Currently only implements empty collections
`class`
`LinearRing`
This represents the LinearRing GIS datatype.
`class`
`LineString`
`class`
`MultiLineString`
`class`
`MultiPoint`
`class`
`MultiPolygon`
`class`
`Point`
`class`
`PointComposedGeom`
PointComposedGeom - base class for all composed geoms that contain only points.
`class`
`Polygon`
Fields in net.postgis.jdbc.geometry declared as Geometry
Modifier and Type
Field
Description
`static final Geometry[]`
ComposedGeom.`EMPTY`
`protected Geometry[]`
ComposedGeom.`subgeoms`
The Array containing the geometries This is only to be exposed by concrete subclasses, to retain type safety.
Methods in net.postgis.jdbc.geometry that return Geometry
Modifier and Type
Method
Description
`protected abstract Geometry[]`
ComposedGeom.`createSubGeomArray(int size)`
Return the appropriate instance of the sub-geometry array - this encapsulates subclass specific array instantiation
`protected Geometry[]`
GeometryCollection.`createSubGeomArray(int ngeoms)`
`protected Geometry[]`
MultiLineString.`createSubGeomArray(int nlines)`
`protected Geometry[]`
MultiPolygon.`createSubGeomArray(int npolygons)`
`protected Geometry[]`
PointComposedGeom.`createSubGeomArray(int pointcount)`
`protected Geometry[]`
Polygon.`createSubGeomArray(int ringcount)`
`protected abstract Geometry`
ComposedGeom.`createSubGeomInstance(String token, boolean haveM)`
Return the appropriate instance of the sub-geometry - this encapsulates subclass specific constructor calls
`protected Geometry`
GeometryCollection.`createSubGeomInstance(String token, boolean haveM)`
`protected Geometry`
MultiLineString.`createSubGeomInstance(String token, boolean haveM)`
`protected Geometry`
MultiPolygon.`createSubGeomInstance(String token, boolean haveM)`
`protected Geometry`
PointComposedGeom.`createSubGeomInstance(String token, boolean haveM)`
`protected Geometry`
Polygon.`createSubGeomInstance(String token, boolean haveM)`
`static Geometry`
GeometryBuilder.`geomFromString(String value)`
`static Geometry`
GeometryBuilder.`geomFromString(String value, boolean haveM)`
`static Geometry`
GeometryBuilder.`geomFromString(String value, BinaryParser bp)`
Maybe we could add more error checking here?
`static Geometry`
GeometryBuilder.`geomFromString(String value, BinaryParser bp, boolean haveM)`
`Geometry[]`
GeometryCollection.`getGeometries()`
`Geometry`
ComposedGeom.`getSubGeometry(int index)`
Methods in net.postgis.jdbc.geometry with parameters of type Geometry
Modifier and Type
Method
Description
`boolean`
Geometry.`equals(Geometry other)`
geometry specific equals implementation - only defined for non-null values
`protected boolean`
ComposedGeom.`equalsintern(Geometry other)`
`protected abstract boolean`
Geometry.`equalsintern(Geometry other)`
Whether test coordinates for geometry - subclass specific code Implementors can assume that dimensin, type, srid and haveMeasure are equal, other != null and other is the same subclass.
`protected boolean`
Point.`equalsintern(Geometry otherg)`
Constructors in net.postgis.jdbc.geometry with parameters of type Geometry
Modifier
Constructor
Description
`protected`
`ComposedGeom(int type, Geometry[] geoms)`
``
`GeometryCollection(Geometry[] geoms)`

## Uses of Geometry in net.postgis.jdbc.geometry.binary

Methods in net.postgis.jdbc.geometry.binary that return Geometry
Modifier and Type
Method
Description
`Geometry`
BinaryParser.`parse(byte[] value)`
Parse a binary encoded geometry.
`Geometry`
BinaryParser.`parse(String value)`
Parse a hex encoded geometry Is synchronized to protect offset counter.
`protected Geometry`
BinaryParser.`parseGeometry(ValueGetter data)`
Parse a geometry starting at offset.
Methods in net.postgis.jdbc.geometry.binary with parameters of type Geometry
Modifier and Type
Method
Description
`protected int`
BinaryWriter.`estimateBytes(Geometry geom)`
Estimate how much bytes a geometry will need in WKB.
`byte[]`
BinaryWriter.`writeBinary(Geometry geom)`
`byte[]`
BinaryWriter.`writeBinary(Geometry geom, byte REP)`
Write a binary encoded geometry.
`protected void`
BinaryWriter.`writeGeometry(Geometry geom, ValueSetter dest)`
Parse a geometry starting at offset.
`String`
BinaryWriter.`writeHexed(Geometry geom)`
`String`
BinaryWriter.`writeHexed(Geometry geom, byte REP)`
Write a hex encoded geometry Is synchronized to protect offset counter.